Index: rubycfg_asp/trunk/asp_dcre/tinet/net/ppp_ipv6cp.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/net/ppp_ipv6cp.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/net/ppp_ipv6cp.c	(revision 315)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -124,5 +112,5 @@
 
 /*
- *  é¢æ°
+ *  関数
  */
 
@@ -136,109 +124,87 @@
 
 /*
- * FSM ããå¼åºãããã³ã¼ã«ããã¯é¢
- */
-
-static void  ipv6cp_resetci(T_PPP_FSM *fsm);	/* èªæ§ææ
-å ±ããªã»ããããã	*/
-static int_t ipv6cp_cilen	(T_PPP_FSM *fsm);	/* æ§ææ
-å ±ã®é·ããè¿ãã		*/
+ * FSM から呼出されるコールバック関
+ */
+
+static void  ipv6cp_resetci(T_PPP_FSM *fsm);	/* 自構成情報をリセットする。	*/
+static int_t ipv6cp_cilen	(T_PPP_FSM *fsm);	/* 構成情報の長さを返す。		*/
 static void  ipv6cp_addci	(T_PPP_FSM *fsm, T_NET_BUF *output);
-						/* èªæ§ææ
-å ±ãè¿½å ããã		*/
+						/* 自構成情報を追加する。		*/
 static bool_t  ipv6cp_ackci	(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* ACK ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* ACK を受信したときの処理	*/
 static bool_t  ipv6cp_nakci	(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* NAK ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* NAK を受信したときの処理	*/
 static bool_t  ipv6cp_rejci	(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* REJ ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* REJ を受信したときの処理	*/
 static int_t ipv6cp_reqci	(T_PPP_FSM *fsm, T_NET_BUF *input, T_NET_BUF *output);
-						/* ç¸æã®æ§ææ
-å ±ãç¢ºèªããã	*/
-static void ipv6cp_up	(T_PPP_FSM *fsm);	/* ãªã³ã¯æ¥ç¶ãç¢ºç«ããã		*/
-static void ipv6cp_down	(T_PPP_FSM *fsm);	/* ãªã³ã¯æ¥ç¶ãè§£æ¾ããã		*/
-static void ipv6cp_finished(T_PPP_FSM *fsm);	/* ä¸ä½å±¤ãçµäºããã		*/
-
-/*
- *  å¤æ°
- */
-
-static T_IFNET ipv6cp_local_def_cfg = {		/* èªæ§ææ
-å ±ã®è¦å®å¤		*/
-	NULL,					/* ãããã¯ã¼ã¯ã¤ã³ã¿ãã§ã¼ã¹ã®ã½ããã¦ã§ã¢æ
-å ±	*/
-	{},					/* IPv6 ã¢ãã¬ã¹æ
-å ±				*/
-	{},					/* ãã«ãã­ã£ã¹ã IPv6 ã¢ãã¬ã¹			*/
-	0,					/* ãã©ã°					*/
+						/* 相手の構成情報を確認する。	*/
+static void ipv6cp_up	(T_PPP_FSM *fsm);	/* リンク接続を確立する。		*/
+static void ipv6cp_down	(T_PPP_FSM *fsm);	/* リンク接続を解放する。		*/
+static void ipv6cp_finished(T_PPP_FSM *fsm);	/* 下位層を終了する。		*/
+
+/*
+ *  変数
+ */
+
+static T_IFNET ipv6cp_local_def_cfg = {		/* 自構成情報の規定値		*/
+	NULL,					/* ネットワークインタフェースのソフトウェア情報	*/
+	{},					/* IPv6 アドレス情報				*/
+	{},					/* マルチキャスト IPv6 アドレス			*/
+	0,					/* フラグ					*/
 	};
 
-static T_IFNET ipv6cp_remote_def_cfg = {	/* ç¸æã®æ§ææ
-å ±ã®è¦å®å¤	*/
-	NULL,					/* ãããã¯ã¼ã¯ã¤ã³ã¿ãã§ã¼ã¹ã®ã½ããã¦ã§ã¢æ
-å ±	*/
-	{},					/* IPv6 ã¢ãã¬ã¹æ
-å ±				*/
-	{},					/* ãã«ãã­ã£ã¹ã IPv6 ã¢ãã¬ã¹			*/
-	0,					/* ãã©ã°					*/
+static T_IFNET ipv6cp_remote_def_cfg = {	/* 相手の構成情報の規定値	*/
+	NULL,					/* ネットワークインタフェースのソフトウェア情報	*/
+	{},					/* IPv6 アドレス情報				*/
+	{},					/* マルチキャスト IPv6 アドレス			*/
+	0,					/* フラグ					*/
 	};
 
-static T_IFNET ipv6cp_local_neg_cfg;		/* ãã´ä¸­ã®èªæ§ææ
-å ±		*/
-
-static T_IFNET ipv6cp_remote_neg_cfg;		/* ãã´ä¸­ã®ç¸æã®æ§ææ
-å ±		*/
-
-/*
- *  å
-¨åå¤æ°
+static T_IFNET ipv6cp_local_neg_cfg;		/* ネゴ中の自構成情報		*/
+
+static T_IFNET ipv6cp_remote_neg_cfg;		/* ネゴ中の相手の構成情報		*/
+
+/*
+ *  全域変数
  */
 
 T_PPP_FSM_CALLBACKS ipv6cp_callbacks = {
-	ipv6cp_resetci,			/* èªæ§ææ
-å ±ããªã»ããããã	*/
-	ipv6cp_cilen,			/* æ§ææ
-å ±ã®é·ããè¿ãã		*/
-	ipv6cp_addci,			/* èªæ§ææ
-å ±ãè¿½å ããã		*/
-	ipv6cp_ackci,			/* ACK ãåä¿¡ããã¨ãã®å¦ç	*/
-	ipv6cp_nakci,			/* NAK ãåä¿¡ããã¨ãã®å¦ç	*/
-	ipv6cp_rejci,			/* REJ ãåä¿¡ããã¨ãã®å¦ç	*/
-	ipv6cp_reqci,			/* ç¸æã®æ§ææ
-å ±ãç¢ºèªããã	*/
-	ipv6cp_up,			/* ãªã³ã¯æ¥ç¶ãç¢ºç«ããã		*/
-	ipv6cp_down,			/* ãªã³ã¯æ¥ç¶ãè§£æ¾ããã		*/
-	NULL,				/* ä¸ä½å±¤ãéå§ããã		*/
-	ipv6cp_finished,			/* ä¸ä½å±¤ãçµäºããã		*/
-	NULL,				/* åéããã			*/
-	NULL,				/* ä¸æãª CP ãåä¿¡ããã¨ãã®å¦ç	*/
+	ipv6cp_resetci,			/* 自構成情報をリセットする。	*/
+	ipv6cp_cilen,			/* 構成情報の長さを返す。		*/
+	ipv6cp_addci,			/* 自構成情報を追加する。		*/
+	ipv6cp_ackci,			/* ACK を受信したときの処理	*/
+	ipv6cp_nakci,			/* NAK を受信したときの処理	*/
+	ipv6cp_rejci,			/* REJ を受信したときの処理	*/
+	ipv6cp_reqci,			/* 相手の構成情報を確認する。	*/
+	ipv6cp_up,			/* リンク接続を確立する。		*/
+	ipv6cp_down,			/* リンク接続を解放する。		*/
+	NULL,				/* 下位層を開始する。		*/
+	ipv6cp_finished,			/* 下位層を終了する。		*/
+	NULL,				/* 再送する。			*/
+	NULL,				/* 不明な CP を受信したときの処理	*/
 	};
 
 T_PPP_FSM ipv6cp_fsm = {
-	&ipv6cp_callbacks,		/* ã³ã¼ã«ããã¯é¢æ°		*/
-	PPP_IPV6CP,			/* ãã­ãã³ã«			*/
+	&ipv6cp_callbacks,		/* コールバック関数		*/
+	PPP_IPV6CP,			/* プロトコル			*/
 	};
 
 T_PPP_PROTENT ipv6cp_protent = {
 	PPP_IPV6CP,
-	ipv6cp_init,			/* åæå			*/
-	ipv6cp_input,			/* å
-¥å				*/
-	ipv6cp_protrej,			/* Proto-REJ åä¿¡å¦ç		*/
-	ipv6cp_lowerup,			/* ä¸ä½å±¤ãèµ·åãã		*/
-	ipv6cp_lowerdown,		/* ä¸ä½å±¤ãåæ­¢ãã		*/
-	ipv6cp_open,			/* ãªã¼ãã³ãã			*/
-	ipv6cp_close,			/* ã¯ã­ã¼ãºãã			*/
-	ip6_input,			/* ãã¼ã¿å
-¥åãIPv6 å
-¥å	*/
+	ipv6cp_init,			/* 初期化			*/
+	ipv6cp_input,			/* 入力				*/
+	ipv6cp_protrej,			/* Proto-REJ 受信処理		*/
+	ipv6cp_lowerup,			/* 下位層を起動する		*/
+	ipv6cp_lowerdown,		/* 下位層を停止する		*/
+	ipv6cp_open,			/* オープンする			*/
+	ipv6cp_close,			/* クローズする			*/
+	ip6_input,			/* データ入力、IPv6 入力	*/
 	};
 
-T_IFNET ipv6cp_local_ack_cfg;		/* ç¸æã«è¨±å¯ãããã®èªæ§ææ
-å ±	*/
-T_IFNET ipv6cp_remote_ack_cfg;		/* ç¸æã«è¨±å¯ããæ§ææ
-å ±	*/
-
-/*
- *  ppp_get_ifnet -- ãããã¯ã¼ã¯ã¤ã³ã¿ãã§ã¼ã¹æ§é ä½ãè¿ãã
+T_IFNET ipv6cp_local_ack_cfg;		/* 相手に許可されたの自構成情報	*/
+T_IFNET ipv6cp_remote_ack_cfg;		/* 相手に許可した構成情報	*/
+
+/*
+ *  ppp_get_ifnet -- ネットワークインタフェース構造体を返す。
  */
 
@@ -250,8 +216,7 @@
 
 /*
- *  wait_ipv6cp -- IP æ¥ç¶å®äºã¾ã§å¾
-ã¤ã
- *
- *	æ»ãå¤: æ¥ç¶ã«å¤±æããã E_OBJ ãè¿ãã
+ *  wait_ipv6cp -- IP 接続完了まで待つ。
+ *
+ *	戻り値: 接続に失敗したら E_OBJ を返す。
  */
 
@@ -267,6 +232,5 @@
 #ifdef PPP_CFG_MODEM
 
-		/* ã¢ãã ã®æ¥ç¶å®äºã¾ã§å¾
-ã¤ã*/
+		/* モデムの接続完了まで待つ。*/
 		if ((error = wait_modem()) != E_OK)
 			return error;
@@ -275,8 +239,6 @@
 
 		/*
-		 * ååãªã¼ãã³ããç¸æããã®æ¥ç¶å¾
-ã¡ãªã LCP ãä¸åº¦ã¯ã­ã¼ãºãã
-		 * è½åãªã¼ãã³ç¶æ
-ã§ãåãªã¼ãã³ããã
+		 * 受動オープンし、相手からの接続待ちなら LCP を一度クローズし、
+		 * 能動オープン状態で、再オープンする。
 		 */
 		lcp_close();
@@ -288,6 +250,5 @@
 
 	if (ipv6cp_fsm.state != PPP_FSM_OPENED) {
-		/* IP æ¥ç¶å®äºã¾ã§å¾
-ã¤ã*/
+		/* IP 接続完了まで待つ。*/
 		wai_sem(SEM_IPV6CP_READY);
 		if (ipv6cp_fsm.state != PPP_FSM_OPENED)
@@ -299,5 +260,5 @@
 
 /*
- *  ipv6cp_init -- IPV6CP ã¢ã¸ã¥ã¼ã«ã®åæå
+ *  ipv6cp_init -- IPV6CP モジュールの初期化
  */
 
@@ -309,6 +270,5 @@
 
 /*
- *  ipv6cp_input -- IPV6CP å
-¥å
+ *  ipv6cp_input -- IPV6CP 入力
  */
 
@@ -322,6 +282,5 @@
 
 /*
- *  ipv6cp_resetci -- IPV6CPã®æ§ææ
-å ±ããªã»ããããã
+ *  ipv6cp_resetci -- IPV6CPの構成情報をリセットする。
  */
 
@@ -329,11 +288,9 @@
 ipv6cp_resetci (T_PPP_FSM *fsm)
 {
-	/* èªæ§ææ
-å ±ã®åæè¨­å® */
+	/* 自構成情報の初期設定 */
 	ipv6cp_local_neg_cfg = ipv6cp_local_def_cfg;
 	memset((void*)&ipv6cp_local_ack_cfg, 0, sizeof(T_IFNET));
 
-	/* ç¸æã®æ§ææ
-å ±ã®åæè¨­å® */
+	/* 相手の構成情報の初期設定 */
 	ipv6cp_remote_neg_cfg = ipv6cp_remote_def_cfg;
 	memset((void*)&ipv6cp_remote_ack_cfg, 0, sizeof(T_IFNET));
@@ -341,6 +298,5 @@
 
 /*
- *  ipv6cp_cilen -- æ§ææ
-å ±ã®é·ããè¿ãã
+ *  ipv6cp_cilen -- 構成情報の長さを返す。
  */
 
@@ -350,5 +306,5 @@
 	int_t cilen = 0;
 
-	cilen += sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);	/* IPv6 ã¢ãã¬ã¹ */
+	cilen += sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);	/* IPv6 アドレス */
 
 	return cilen;
@@ -356,6 +312,5 @@
 
 /*
- *  ipv6cp_addci -- IPV6CPã®æ§ææ
-å ±ãè¿½å ããã
+ *  ipv6cp_addci -- IPV6CPの構成情報を追加する。
  */
 
@@ -367,5 +322,5 @@
 	buf = output->buf + sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
 
-	/* IPv6 ã¢ãã¬ã¹ãªãã·ã§ã³ãè¿½å ããã */
+	/* IPv6 アドレスオプションを追加する。 */
 	*buf ++ = IPV6CP_CIT_ADDR;
 	*buf ++ = sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);
@@ -375,8 +330,8 @@
 
 /*
- *  ipv6cp_ackci -- ACK ãåä¿¡ããã¨ãã®å¦ç
- *
- *	æ»ãå¤:	true  ACK ã¯æ­£å¸¸
- *		false ACK ã¯ç°å¸¸
+ *  ipv6cp_ackci -- ACK を受信したときの処理
+ *
+ *	戻り値:	true  ACK は正常
+ *		false ACK は異常
  */
 
@@ -391,11 +346,9 @@
 
 	/*
-	 *  æ§ææ
-å ±ã¯éä¿¡ããé ã«å®å
-¨ã«ä¸è´ããªããã°ãªããªãã
-	 *  å¾ã£ã¦ãipv6cp_addci ã§ä½æããé ã«è§£æããã
+	 *  構成情報は送信した順に完全に一致しなければならない。
+	 *  従って、ipv6cp_addci で作成した順に解析する。
 	 */
 
-	/* ADDR ãªãã·ã§ã³ãè§£æããã */
+	/* ADDR オプションを解析する。 */
 	if (len < sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)	||
 	    *buf ++ != IPV6CP_CIT_ADDR			||
@@ -410,8 +363,8 @@
 
 /*
- *  ipv6cp_nakci -- NAK ãåä¿¡ããã¨ãã®å¦ç
- *
- *	æ»ãå¤:	1  NAK ã¯æ­£å¸¸
- *		0  NAK ã¯ç°å¸¸
+ *  ipv6cp_nakci -- NAK を受信したときの処理
+ *
+ *	戻り値:	1  NAK は正常
+ *		0  NAK は異常
  */
 
@@ -429,5 +382,5 @@
 	new_cfg = ipv6cp_local_neg_cfg;
 
-	/* ADDR ãªãã·ã§ã³ãè§£æããã */
+	/* ADDR オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(addr)		&&
 	    * buf      == IPV6CP_CIT_ADDR			&&
@@ -438,5 +391,5 @@
 		}
 
-	/* å¾ã¯ç¡è¦ããã*/
+	/* 後は無視する。*/
 	while (len > sizeof(T_PPP_CI_HDR)) {
 		cilen = *(buf + 1);
@@ -447,9 +400,9 @@
 		}
 
-	/* é·ãã 0 ã§ãªããã°ã¨ã©ã¼ */
+	/* 長さが 0 でなければエラー */
 	if (len != 0)
 		return 0;
 
-	/* æ°ãããªãã·ã§ã³ãè¨­å®ããã*/
+	/* 新しいオプションを設定する。*/
 	if (fsm->state != PPP_FSM_OPENED)
 		ipv6cp_local_neg_cfg = new_cfg;
@@ -459,8 +412,8 @@
 
 /*
- *  ipv6cp_rejci -- REJ ãåä¿¡ããã¨ãã®å¦ç
- *
- *	æ»ãå¤:	1  REJ ã¯æ­£å¸¸
- *		0  REJ ã¯ç°å¸¸
+ *  ipv6cp_rejci -- REJ を受信したときの処理
+ *
+ *	戻り値:	1  REJ は正常
+ *		0  REJ は異常
  */
 
@@ -477,5 +430,5 @@
 	new_cfg = ipv6cp_local_neg_cfg;
 
-	/* ADDR ãªãã·ã§ã³ãè§£æããã */
+	/* ADDR オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(new_cfg.in6_ifaddrs[0].addr)	&&
 	    * buf      == IPV6CP_CIT_ADDR					&&
@@ -487,9 +440,9 @@
 		}
 
-	/* é·ãã 0 ã§ãªããã°ã¨ã©ã¼ */
+	/* 長さが 0 でなければエラー */
 	if (len != 0)
 		return 0;
 
-	/* æ°ãããªãã·ã§ã³ãè¨­å®ããã*/
+	/* 新しいオプションを設定する。*/
 	if (fsm->state != PPP_FSM_OPENED)
 		ipv6cp_local_neg_cfg = new_cfg;
@@ -499,6 +452,5 @@
 
 /*
- *  ipv6cp_reqci -- ç¸æã®æ§ææ
-å ±ãè§£æããã
+ *  ipv6cp_reqci -- 相手の構成情報を解析する。
  */
 
@@ -511,31 +463,31 @@
 
 	rp = ap = input->buf +  sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
-				/* rp: REJãap: ACK ãã CI ã®ãã¤ã³ã¿	*/
-				/* æå¦ããå ´åã¯ãå¼æ° buf ã«ä¸æ¸ãããã	*/
+				/* rp: REJ、ap: ACK する CI のポインタ	*/
+				/* 拒否する場合は、引数 buf に上書きする。	*/
 	len   = input->len - (sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR));
 	np    = output->buf + sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
-	final = PPP_CONFACK;	/* æçµçã«éä¿¡ããã³ã¼ã */
+	final = PPP_CONFACK;	/* 最終的に送信するコード */
 	while (len > 0) {
 		code = PPP_CONFACK;
-		cp   = ap;	/* cp: ç¾å¨å¦çä¸­ã® CI	*/
+		cp   = ap;	/* cp: 現在処理中の CI	*/
 
 		if (len < sizeof(T_PPP_CI_HDR)) {
 
-			/* æ®ãã CI ãããããç­ã */
+			/* 残りが CI ヘッダより短い */
 			syslog(LOG_NOTICE, "[PPP/IPV6CP] bad CI len: %d.", len);
-			cilen = len;	/* ãã¼ã¿é·ãç°å¸¸ã®å ´åã®å¦ç½®	*/
-			len  = 0;	/* ã«ã¼ãããæããã		*/
+			cilen = len;	/* データ長が異常の場合の処置	*/
+			len  = 0;	/* ループから抜ける。		*/
 			code  = PPP_CONFREJ;
 			goto endswitch;
 			}
 
-		type  = *ap ++;	/* CI ã®å		*/
-		cilen = *ap ++;	/* CI ã®é·ã		*/
+		type  = *ap ++;	/* CI の型		*/
+		cilen = *ap ++;	/* CI の長さ		*/
 		if (len < cilen) {
 
-			/* æ®ãã CI é·ããç­ã */
+			/* 残りが CI 長より短い */
 			syslog(LOG_NOTICE, "[PPP/IPV6CP] bad CI len: %d.", cilen);
-			cilen = len;	/* ãã¼ã¿é·ãç°å¸¸ã®å ´åã®å¦ç½®	*/
-			len  = 0;	/* ã«ã¼ãããæããã		*/
+			cilen = len;	/* データ長が異常の場合の処置	*/
+			len  = 0;	/* ループから抜ける。		*/
 			code  = PPP_CONFREJ;
 			goto endswitch;
@@ -543,10 +495,10 @@
 		len -= sizeof(T_PPP_CI_HDR);
 
-		/* CI ã®åã«ããåå²ããã*/
+		/* CI の型により分岐する。*/
 		switch (type) {
 
-		case IPV6CP_CIT_ADDR:	/* IPv6 ã¢ãã¬ã¹ */
-
-		 	/* CI é·ããããã + 4 ãªã¯ãããã§ãªããã°ã¨ã©ã¼ */
+		case IPV6CP_CIT_ADDR:	/* IPv6 アドレス */
+
+		 	/* CI 長が、ヘッダ + 4 オクテットでなければエラー */
 		 	if (cilen != sizeof(T_PPP_CI_HDR) + sizeof(addr))
 				code = PPP_CONFREJ;
@@ -564,5 +516,5 @@
 					code = PPP_CONFNAK;
 					}
-#if 1	/* è¦ç¢ºèª */
+#if 1	/* 要確認 */
 				else if (IN6_IS_ADDR_UNSPECIFIED(&addr) &&
 				         IN6_IS_ADDR_UNSPECIFIED(&ipv6cp_remote_neg_cfg.in6_ifaddrs[0]))
@@ -585,7 +537,6 @@
 
 		if (code == PPP_CONFNAK) {
-			/* CI ã®åã Magic Number ã®å ´åãé¤ãã¦ãNAK ã®åæ°ã	*/
-			/* æå¤§å¤ MAX_PPP_FAILURES  ãè¶
-ãããæå¦ããã	*/
+			/* CI の型が Magic Number の場合を除いて、NAK の回数が	*/
+			/* 最大値 MAX_PPP_FAILURES  を超えたら拒否する。	*/
 			if (fsm->failures >= MAX_PPP_FAILURES)
 				code = PPP_CONFREJ;
@@ -594,7 +545,7 @@
 			}
 
-		/* ãã® CI ãæå¦ãã */
+		/* この CI を拒否する */
 		if (code == PPP_CONFREJ) {
-			if (rp < cp)		/* åã«è©°ããã*/
+			if (rp < cp)		/* 前に詰める。*/
 				memcpy(rp, cp, cilen);
 			rp += cilen;
@@ -606,5 +557,5 @@
 		}
 
-	/* æçµçãªé·ããèª¿æ´ããã*/
+	/* 最終的な長さを調整する。*/
 	switch (final) {
 	case PPP_CONFNAK:
@@ -624,5 +575,5 @@
 
 /*
- *  ipv6cp_up -- ãªã³ã¯æ¥ç¶ãç¢ºç«ããã
+ *  ipv6cp_up -- リンク接続を確立する。
  */
 
@@ -630,6 +581,5 @@
 ipv6cp_up (T_PPP_FSM *fsm)
 {
-	/* èªæ§ææ
-å ±ã®åæè¨­å® */
+	/* 自構成情報の初期設定 */
 	ipv6cp_local_ack_cfg = ipv6cp_local_neg_cfg;
 
@@ -642,5 +592,5 @@
 
 /*
- *  ipv6cp_down -- ãªã³ã¯æ¥ç¶ãè§£æ¾ããã
+ *  ipv6cp_down -- リンク接続を解放する。
  */
 
@@ -653,5 +603,5 @@
 
 /*
- *  ipv6cp_finished -- ä¸ä½å±¤ãçµäºããã
+ *  ipv6cp_finished -- 下位層を終了する。
  */
 
@@ -662,5 +612,5 @@
 
 /*
- *  ipv6cp_protrej -- Proto-REJ ãåä¿¡ããã¨ãã®å¦ç
+ *  ipv6cp_protrej -- Proto-REJ を受信したときの処理
  */
 
@@ -672,5 +622,5 @@
 
 /*
- *  ipv6cp_lowerup -- IPV6CP ä¸ä½å±¤ãèµ·åããã
+ *  ipv6cp_lowerup -- IPV6CP 下位層を起動する。
  */
 
@@ -682,5 +632,5 @@
 
 /*
- *  ipv6cp_lowerdown -- IPV6CP ä¸ä½å±¤ãåæ­¢ããã
+ *  ipv6cp_lowerdown -- IPV6CP 下位層を停止する。
  */
 
@@ -692,5 +642,5 @@
 
 /*
- *  ipv6cp_open -- IPV6CP ã®ãªã¼ãã³
+ *  ipv6cp_open -- IPV6CP のオープン
  */
 
@@ -702,5 +652,5 @@
 
 /*
- *  ipv6cp_close -- IPV6CP ã®ã¯ã­ã¼ãº
+ *  ipv6cp_close -- IPV6CP のクローズ
  */
 
Index: rubycfg_asp/trunk/asp_dcre/tinet/net/ppp_ipv6cp.h
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/net/ppp_ipv6cp.h	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/net/ppp_ipv6cp.h	(revision 315)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -93,19 +81,17 @@
 
 /*
- *  IPV6CP ã®æ§ææ
-å ± (CI)
+ *  IPV6CP の構成情報 (CI)
  */
 
 /*
- *  CI ã®å
+ *  CI の型
  */
 
-#define IPV6CP_CIT_ADDRS		UINT_C(1)	/* IP ã¢ãã¬ã¹ (å»æ£)	*/
-#define IPV6CP_CIT_COMP_TYPE	UINT_C(2)	/* å§ç¸®æ¹å¼		*/
-#define IPV6CP_CIT_ADDR		UINT_C(3)	/* IP ã¢ãã¬ã¹		*/
+#define IPV6CP_CIT_ADDRS		UINT_C(1)	/* IP アドレス (廃棄)	*/
+#define IPV6CP_CIT_COMP_TYPE	UINT_C(2)	/* 圧縮方式		*/
+#define IPV6CP_CIT_ADDR		UINT_C(3)	/* IP アドレス		*/
 
 /*
- *  åæ¹åç
-§
+ *  前方参照
  */
 
@@ -119,5 +105,5 @@
 
 /*
- *  å¤æ°
+ *  変数
  */
 
@@ -134,5 +120,5 @@
 
 /*
- *  é¢æ°
+ *  関数
  */
 
